Messages API
Create a message
Create a message
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
messages
Create a message
curl --request POST \
--url https://app.cria.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages \
--header 'Content-Type: application/json' \
--data '
{
"content": "Hello, how can I help you?",
"echo_id": "1234567890"
}
'import requests
url = "https://app.cria.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages"
payload = {
"content": "Hello, how can I help you?",
"echo_id": "1234567890"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: 'Hello, how can I help you?', echo_id: '1234567890'})
};
fetch('https://app.cria.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"content": "<string>",
"message_type": "<string>",
"content_type": "<string>",
"content_attributes": "<string>",
"created_at": "<string>",
"conversation_id": "<string>",
"attachments": [
{}
],
"sender": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
The numeric ID of the conversation
Body
application/json
Response
Success
Id of the message
Text content of the message
Denotes the message type
Content type of the message
Additional content attributes of the message
Created at time stamp of the message
Conversation Id of the message
Attachments if any
Details of the sender
⌘I
Create a message
